#!/usr/bin/env python

# $Id: documancer.py,v 1.6 2003/10/20 22:13:20 vaclavslavik Exp $

# Find out what the data directory is:
import sys, os, os.path
homedir = os.path.dirname(os.path.realpath(sys.argv[0]))
os.environ['DOCUMANCER_HOME'] = homedir

# change cwd, to keep wxGlade-generated code happy (FIXME)
os.chdir(homedir)

# so that we can run wget.exe and swish-e.exe:
if sys.platform == 'win32':
    os.environ['PATH'] = '%s;%s\\mozilla;%s' % \
                   (homedir, homedir, os.environ['PATH'])
    sys.path.append('%s\\mozilla' % homedir)

# Run the application:
import gui.app
gui.app.run()
