# -*- coding: mbcs -*-
# Created by makepy.py version 0.4.5
# By python version 2.2.2 (#37, Oct 14 2002, 17:02:34) [MSC 32 bit (Intel)]
# From type library 'mozctl.dll'
# On Sat Sep 06 23:19:26 2003
"""MozillaControl 1.0 Type Library"""
makepy_version = '0.4.5'
python_version = 0x20202f0

import win32com.client.CLSIDToClass, pythoncom
from pywintypes import IID
from win32com.client import Dispatch

# The following 3 lines may need tweaking for the particular server
# Candidates are pythoncom.Missing and pythoncom.Empty
defaultNamedOptArg=pythoncom.Empty
defaultNamedNotOptArg=pythoncom.Empty
defaultUnnamedArg=pythoncom.Empty

CLSID = IID('{1339B53E-3453-11D2-93B9-000000000000}')
MajorVersion = 1
MinorVersion = 0
LibraryFlags = 8
LCID = 0x0

class constants:
	CSC_NAVIGATEBACK              =0x2        # from enum CommandStateChangeConstants
	CSC_NAVIGATEFORWARD           =0x1        # from enum CommandStateChangeConstants
	CSC_UPDATECOMMANDS            =-1         # from enum CommandStateChangeConstants
	OLECMDEXECOPT_DODEFAULT       =0x0        # from enum OLECMDEXECOPT
	OLECMDEXECOPT_DONTPROMPTUSER  =0x2        # from enum OLECMDEXECOPT
	OLECMDEXECOPT_PROMPTUSER      =0x1        # from enum OLECMDEXECOPT
	OLECMDEXECOPT_SHOWHELP        =0x3        # from enum OLECMDEXECOPT
	OLECMDF_ENABLED               =0x2        # from enum OLECMDF
	OLECMDF_LATCHED               =0x4        # from enum OLECMDF
	OLECMDF_NINCHED               =0x8        # from enum OLECMDF
	OLECMDF_SUPPORTED             =0x1        # from enum OLECMDF
	OLECMDID_CLEARSELECTION       =0x12       # from enum OLECMDID
	OLECMDID_COPY                 =0xc        # from enum OLECMDID
	OLECMDID_CUT                  =0xb        # from enum OLECMDID
	OLECMDID_DELETE               =0x21       # from enum OLECMDID
	OLECMDID_ENABLE_INTERACTION   =0x24       # from enum OLECMDID
	OLECMDID_FIND                 =0x20       # from enum OLECMDID
	OLECMDID_GETZOOMRANGE         =0x14       # from enum OLECMDID
	OLECMDID_HIDETOOLBARS         =0x18       # from enum OLECMDID
	OLECMDID_HTTPEQUIV            =0x22       # from enum OLECMDID
	OLECMDID_HTTPEQUIV_DONE       =0x23       # from enum OLECMDID
	OLECMDID_NEW                  =0x2        # from enum OLECMDID
	OLECMDID_ONTOOLBARACTIVATED   =0x1f       # from enum OLECMDID
	OLECMDID_ONUNLOAD             =0x25       # from enum OLECMDID
	OLECMDID_OPEN                 =0x1        # from enum OLECMDID
	OLECMDID_PAGESETUP            =0x8        # from enum OLECMDID
	OLECMDID_PASTE                =0xd        # from enum OLECMDID
	OLECMDID_PASTESPECIAL         =0xe        # from enum OLECMDID
	OLECMDID_PREREFRESH           =0x27       # from enum OLECMDID
	OLECMDID_PRINT                =0x6        # from enum OLECMDID
	OLECMDID_PRINTPREVIEW         =0x7        # from enum OLECMDID
	OLECMDID_PROPERTIES           =0xa        # from enum OLECMDID
	OLECMDID_PROPERTYBAG2         =0x26       # from enum OLECMDID
	OLECMDID_REDO                 =0x10       # from enum OLECMDID
	OLECMDID_REFRESH              =0x16       # from enum OLECMDID
	OLECMDID_SAVE                 =0x3        # from enum OLECMDID
	OLECMDID_SAVEAS               =0x4        # from enum OLECMDID
	OLECMDID_SAVECOPYAS           =0x5        # from enum OLECMDID
	OLECMDID_SELECTALL            =0x11       # from enum OLECMDID
	OLECMDID_SETDOWNLOADSTATE     =0x1d       # from enum OLECMDID
	OLECMDID_SETPROGRESSMAX       =0x19       # from enum OLECMDID
	OLECMDID_SETPROGRESSPOS       =0x1a       # from enum OLECMDID
	OLECMDID_SETPROGRESSTEXT      =0x1b       # from enum OLECMDID
	OLECMDID_SETTITLE             =0x1c       # from enum OLECMDID
	OLECMDID_SPELL                =0x9        # from enum OLECMDID
	OLECMDID_STOP                 =0x17       # from enum OLECMDID
	OLECMDID_STOPDOWNLOAD         =0x1e       # from enum OLECMDID
	OLECMDID_UNDO                 =0xf        # from enum OLECMDID
	OLECMDID_UPDATECOMMANDS       =0x15       # from enum OLECMDID
	OLECMDID_ZOOM                 =0x13       # from enum OLECMDID
	READYSTATE_COMPLETE           =0x4        # from enum tagREADYSTATE
	READYSTATE_INTERACTIVE        =0x3        # from enum tagREADYSTATE
	READYSTATE_LOADED             =0x2        # from enum tagREADYSTATE
	READYSTATE_LOADING            =0x1        # from enum tagREADYSTATE
	READYSTATE_UNINITIALIZED      =0x0        # from enum tagREADYSTATE

class DWebBrowserEvents:
	"""Web Browser Control Events (old)"""
	CLSID = CLSID_Sink = IID('{EAB22AC2-30C1-11CF-A7EB-0000C05BAE0B}')
	coclass_clsid = IID('{1339B54C-3453-11D2-93B9-000000000000}')
	_public_methods_ = [] # For COM Server support
	_dispid_to_func_ = {
		      101 : "OnNavigateComplete",
		      103 : "OnQuit",
		      201 : "OnFrameNavigateComplete",
		      108 : "OnProgressChange",
		      110 : "OnWindowResize",
		      109 : "OnWindowMove",
		      104 : "OnDownloadComplete",
		      107 : "OnNewWindow",
		      111 : "OnWindowActivate",
		      102 : "OnStatusTextChange",
		      200 : "OnFrameBeforeNavigate",
		      204 : "OnFrameNewWindow",
		      105 : "OnCommandStateChange",
		      106 : "OnDownloadBegin",
		      113 : "OnTitleChange",
		      100 : "OnBeforeNavigate",
		      112 : "OnPropertyChange",
		}

	def __init__(self, oobj = None):
		if oobj is None:
			self._olecp = None
		else:
			import win32com.server.util
			from win32com.server.policy import EventHandlerPolicy
			cpc=oobj._oleobj_.QueryInterface(pythoncom.IID_IConnectionPointContainer)
			cp=cpc.FindConnectionPoint(self.CLSID_Sink)
			cookie=cp.Advise(win32com.server.util.wrap(self, usePolicy=EventHandlerPolicy))
			self._olecp,self._olecp_cookie = cp,cookie
	def __del__(self):
		try:
			self.close()
		except pythoncom.com_error:
			pass
	def close(self):
		if self._olecp is not None:
			cp,cookie,self._olecp,self._olecp_cookie = self._olecp,self._olecp_cookie,None,None
			cp.Unadvise(cookie)
	def _query_interface_(self, iid):
		import win32com.server.util
		if iid==self.CLSID_Sink: return win32com.server.util.wrap(self)

	# Event Handlers
	# If you create handlers, they should have the following prototypes:
#	def OnNavigateComplete(self, URL=defaultNamedNotOptArg):
#		"""Fired when the document being navigated to becomes visible and enters the navigation stack."""
#	def OnQuit(self, Cancel=defaultNamedNotOptArg):
#		"""Fired when application is quiting."""
#	def OnFrameNavigateComplete(self, URL=defaultNamedNotOptArg):
#		"""Fired when a new hyperlink is being navigated to in a frame."""
#	def OnProgressChange(self, Progress=defaultNamedNotOptArg, ProgressMax=defaultNamedNotOptArg):
#		"""Fired when download progress is updated."""
#	def OnWindowResize(self):
#		"""Fired when window has been sized."""
#	def OnWindowMove(self):
#		"""Fired when window has been moved."""
#	def OnDownloadComplete(self):
#		"""Download of page complete."""
#	def OnNewWindow(self, URL=defaultNamedNotOptArg, Flags=defaultNamedNotOptArg, TargetFrameName=defaultNamedNotOptArg, PostData=defaultNamedNotOptArg, Headers=defaultNamedNotOptArg, Processed=defaultNamedNotOptArg):
#		"""Fired when a new window should be created."""
#	def OnWindowActivate(self):
#		"""Fired when window has been activated."""
#	def OnStatusTextChange(self, Text=defaultNamedNotOptArg):
#		"""Statusbar text changed."""
#	def OnFrameBeforeNavigate(self, URL=defaultNamedNotOptArg, Flags=defaultNamedNotOptArg, TargetFrameName=defaultNamedNotOptArg, PostData=defaultNamedNotOptArg, Headers=defaultNamedNotOptArg, Cancel=defaultNamedNotOptArg):
#		"""Fired when a new hyperlink is being navigated to in a frame."""
#	def OnFrameNewWindow(self, URL=defaultNamedNotOptArg, Flags=defaultNamedNotOptArg, TargetFrameName=defaultNamedNotOptArg, PostData=defaultNamedNotOptArg, Headers=defaultNamedNotOptArg, Processed=defaultNamedNotOptArg):
#		"""Fired when a new window should be created."""
#	def OnCommandStateChange(self, Command=defaultNamedNotOptArg, Enable=defaultNamedNotOptArg):
#		"""The enabled state of a command changed"""
#	def OnDownloadBegin(self):
#		"""Download of a page started."""
#	def OnTitleChange(self, Text=defaultNamedNotOptArg):
#		"""Document title changed."""
#	def OnBeforeNavigate(self, URL=defaultNamedNotOptArg, Flags=defaultNamedNotOptArg, TargetFrameName=defaultNamedNotOptArg, PostData=defaultNamedNotOptArg, Headers=defaultNamedNotOptArg, Cancel=defaultNamedNotOptArg):
#		"""Fired when a new hyperlink is being navigated to."""
#	def OnPropertyChange(self, Property=defaultNamedNotOptArg):
#		"""Fired when the PutProperty method has been called."""


class DWebBrowserEvents2:
	"""Web Browser Control events interface"""
	CLSID = CLSID_Sink = IID('{34A715A0-6587-11D0-924A-0020AFC7AC4D}')
	coclass_clsid = IID('{1339B54C-3453-11D2-93B9-000000000000}')
	_public_methods_ = [] # For COM Server support
	_dispid_to_func_ = {
		      258 : "OnFullScreen",
		      259 : "OnDocumentComplete",
		      102 : "OnStatusTextChange",
		      256 : "OnMenuBar",
		      257 : "OnStatusBar",
		      253 : "OnQuit",
		      251 : "OnNewWindow2",
		      252 : "OnNavigateComplete2",
		      112 : "OnPropertyChange",
		      250 : "OnBeforeNavigate2",
		      108 : "OnProgressChange",
		      255 : "OnToolBar",
		      260 : "OnTheaterMode",
		      105 : "OnCommandStateChange",
		      106 : "OnDownloadBegin",
		      104 : "OnDownloadComplete",
		      113 : "OnTitleChange",
		      254 : "OnVisible",
		}

	def __init__(self, oobj = None):
		if oobj is None:
			self._olecp = None
		else:
			import win32com.server.util
			from win32com.server.policy import EventHandlerPolicy
			cpc=oobj._oleobj_.QueryInterface(pythoncom.IID_IConnectionPointContainer)
			cp=cpc.FindConnectionPoint(self.CLSID_Sink)
			cookie=cp.Advise(win32com.server.util.wrap(self, usePolicy=EventHandlerPolicy))
			self._olecp,self._olecp_cookie = cp,cookie
	def __del__(self):
		try:
			self.close()
		except pythoncom.com_error:
			pass
	def close(self):
		if self._olecp is not None:
			cp,cookie,self._olecp,self._olecp_cookie = self._olecp,self._olecp_cookie,None,None
			cp.Unadvise(cookie)
	def _query_interface_(self, iid):
		import win32com.server.util
		if iid==self.CLSID_Sink: return win32com.server.util.wrap(self)

	# Event Handlers
	# If you create handlers, they should have the following prototypes:
#	def OnFullScreen(self, FullScreen=defaultNamedNotOptArg):
#		"""Fired when fullscreen mode should be on/off"""
#	def OnDocumentComplete(self, pDisp=defaultNamedNotOptArg, URL=defaultNamedNotOptArg):
#		"""Fired when the document being navigated to reaches ReadyState_Complete."""
#	def OnStatusTextChange(self, Text=defaultNamedNotOptArg):
#		"""Statusbar text changed."""
#	def OnMenuBar(self, MenuBar=defaultNamedNotOptArg):
#		"""Fired when the menubar should be shown/hidden"""
#	def OnStatusBar(self, StatusBar=defaultNamedNotOptArg):
#		"""Fired when the statusbar should be shown/hidden"""
#	def OnQuit(self):
#		"""Fired when application is quiting."""
#	def OnNewWindow2(self, ppDisp=defaultNamedNotOptArg, Cancel=defaultNamedNotOptArg):
#		"""A new, hidden, non-navigated WebBrowser window is needed."""
#	def OnNavigateComplete2(self, pDisp=defaultNamedNotOptArg, URL=defaultNamedNotOptArg):
#		"""Fired when the document being navigated to becomes visible and enters the navigation stack."""
#	def OnPropertyChange(self, szProperty=defaultNamedNotOptArg):
#		"""Fired when the PutProperty method has been called."""
#	def OnBeforeNavigate2(self, pDisp=defaultNamedNotOptArg, URL=defaultNamedNotOptArg, Flags=defaultNamedNotOptArg, TargetFrameName=defaultNamedNotOptArg, PostData=defaultNamedNotOptArg, Headers=defaultNamedNotOptArg, Cancel=defaultNamedNotOptArg):
#		"""Fired before navigate occurs in the given WebBrowser (window or frameset element). The processing of this navigation may be modified."""
#	def OnProgressChange(self, Progress=defaultNamedNotOptArg, ProgressMax=defaultNamedNotOptArg):
#		"""Fired when download progress is updated."""
#	def OnToolBar(self, ToolBar=defaultNamedNotOptArg):
#		"""Fired when the toolbar  should be shown/hidden"""
#	def OnTheaterMode(self, TheaterMode=defaultNamedNotOptArg):
#		"""Fired when theater mode should be on/off"""
#	def OnCommandStateChange(self, Command=defaultNamedNotOptArg, Enable=defaultNamedNotOptArg):
#		"""The enabled state of a command changed."""
#	def OnDownloadBegin(self):
#		"""Download of a page started."""
#	def OnDownloadComplete(self):
#		"""Download of page complete."""
#	def OnTitleChange(self, Text=defaultNamedNotOptArg):
#		"""Document title changed."""
#	def OnVisible(self, Visible=defaultNamedNotOptArg):
#		"""Fired when the window should be shown/hidden"""


from win32com.client import DispatchBaseClass
class IWebBrowser(DispatchBaseClass):
	"""Web Browser interface"""
	CLSID = IID('{EAB22AC1-30C1-11CF-A7EB-0000C05BAE0B}')
	coclass_clsid = IID('{1339B54C-3453-11D2-93B9-000000000000}')

	def GoBack(self):
		"""Navigates to the previous item in the history list."""
		return self._oleobj_.InvokeTypes(100, LCID, 1, (24, 0), (),)

	def GoForward(self):
		"""Navigates to the next item in the history list."""
		return self._oleobj_.InvokeTypes(101, LCID, 1, (24, 0), (),)

	def GoHome(self):
		"""Go home/start page."""
		return self._oleobj_.InvokeTypes(102, LCID, 1, (24, 0), (),)

	def GoSearch(self):
		"""Go Search Page."""
		return self._oleobj_.InvokeTypes(103, LCID, 1, (24, 0), (),)

	def Navigate(self, URL=defaultNamedNotOptArg, Flags=defaultNamedOptArg, TargetFrameName=defaultNamedOptArg, PostData=defaultNamedOptArg, Headers=defaultNamedOptArg):
		"""Navigates to a URL or file."""
		return self._oleobj_.InvokeTypes(104, LCID, 1, (24, 0), ((8, 1), (16396, 17), (16396, 17), (16396, 17), (16396, 17)),URL, Flags, TargetFrameName, PostData, Headers)

	def Refresh(self):
		"""Refresh the currently viewed page."""
		return self._oleobj_.InvokeTypes(-550, LCID, 1, (24, 0), (),)

	def Refresh2(self, Level=defaultNamedOptArg):
		"""Refresh the currently viewed page."""
		return self._oleobj_.InvokeTypes(105, LCID, 1, (24, 0), ((16396, 17),),Level)

	def Stop(self):
		"""Stops opening a file."""
		return self._oleobj_.InvokeTypes(106, LCID, 1, (24, 0), (),)

	_prop_map_get_ = {
		"Application": (200, 2, (9, 0), (), "Application", None),
		"Busy": (212, 2, (11, 0), (), "Busy", None),
		"Container": (202, 2, (9, 0), (), "Container", None),
		"Document": (203, 2, (9, 0), (), "Document", None),
		"Height": (209, 2, (3, 0), (), "Height", None),
		"Left": (206, 2, (3, 0), (), "Left", None),
		"LocationName": (210, 2, (8, 0), (), "LocationName", None),
		"LocationURL": (211, 2, (8, 0), (), "LocationURL", None),
		"Parent": (201, 2, (9, 0), (), "Parent", None),
		"Top": (207, 2, (3, 0), (), "Top", None),
		"TopLevelContainer": (204, 2, (11, 0), (), "TopLevelContainer", None),
		"Type": (205, 2, (8, 0), (), "Type", None),
		"Width": (208, 2, (3, 0), (), "Width", None),
	}
	_prop_map_put_ = {
		"Height": ((209, LCID, 4, 0),()),
		"Left": ((206, LCID, 4, 0),()),
		"Top": ((207, LCID, 4, 0),()),
		"Width": ((208, LCID, 4, 0),()),
	}

class IWebBrowser2(DispatchBaseClass):
	"""Web Browser Interface for IE4."""
	CLSID = IID('{D30C1661-CDAF-11D0-8A3E-00C04FC9E26E}')
	coclass_clsid = IID('{1339B54C-3453-11D2-93B9-000000000000}')

	def ClientToWindow(self, pcx=defaultNamedNotOptArg, pcy=defaultNamedNotOptArg):
		"""Converts client sizes into window sizes."""
		return self._ApplyTypes_(301, 1, (24, 0), ((16387, 3), (16387, 3)), 'ClientToWindow', None,pcx, pcy)

	def ExecWB(self, cmdID=defaultNamedNotOptArg, cmdexecopt=defaultNamedNotOptArg, pvaIn=defaultNamedOptArg, pvaOut=defaultNamedOptArg):
		"""IOleCommandTarget::Exec"""
		return self._ApplyTypes_(502, 1, (24, 0), ((3, 1), (3, 1), (16396, 17), (16396, 19)), 'ExecWB', None,cmdID, cmdexecopt, pvaIn, pvaOut)

	def GetProperty(self, Property=defaultNamedNotOptArg):
		"""Retrieve the Associated value for the property vtValue in the context of the object."""
		return self._ApplyTypes_(303, 1, (12, 0), ((8, 1),), 'GetProperty', None,Property)

	def GoBack(self):
		"""Navigates to the previous item in the history list."""
		return self._oleobj_.InvokeTypes(100, LCID, 1, (24, 0), (),)

	def GoForward(self):
		"""Navigates to the next item in the history list."""
		return self._oleobj_.InvokeTypes(101, LCID, 1, (24, 0), (),)

	def GoHome(self):
		"""Go home/start page."""
		return self._oleobj_.InvokeTypes(102, LCID, 1, (24, 0), (),)

	def GoSearch(self):
		"""Go Search Page."""
		return self._oleobj_.InvokeTypes(103, LCID, 1, (24, 0), (),)

	def Navigate(self, URL=defaultNamedNotOptArg, Flags=defaultNamedOptArg, TargetFrameName=defaultNamedOptArg, PostData=defaultNamedOptArg, Headers=defaultNamedOptArg):
		"""Navigates to a URL or file."""
		return self._oleobj_.InvokeTypes(104, LCID, 1, (24, 0), ((8, 1), (16396, 17), (16396, 17), (16396, 17), (16396, 17)),URL, Flags, TargetFrameName, PostData, Headers)

	def Navigate2(self, URL=defaultNamedNotOptArg, Flags=defaultNamedOptArg, TargetFrameName=defaultNamedOptArg, PostData=defaultNamedOptArg, Headers=defaultNamedOptArg):
		"""Navigates to a URL or file or pidl."""
		return self._oleobj_.InvokeTypes(500, LCID, 1, (24, 0), ((16396, 1), (16396, 17), (16396, 17), (16396, 17), (16396, 17)),URL, Flags, TargetFrameName, PostData, Headers)

	def PutProperty(self, Property=defaultNamedNotOptArg, vtValue=defaultNamedNotOptArg):
		"""Associates vtValue with the name szProperty in the context of the object."""
		return self._oleobj_.InvokeTypes(302, LCID, 1, (24, 0), ((8, 1), (12, 1)),Property, vtValue)

	def QueryStatusWB(self, cmdID=defaultNamedNotOptArg):
		"""IOleCommandTarget::QueryStatus"""
		return self._oleobj_.InvokeTypes(501, LCID, 1, (3, 0), ((3, 1),),cmdID)

	def Quit(self):
		"""Exits application and closes the open document."""
		return self._oleobj_.InvokeTypes(300, LCID, 1, (24, 0), (),)

	def Refresh(self):
		"""Refresh the currently viewed page."""
		return self._oleobj_.InvokeTypes(-550, LCID, 1, (24, 0), (),)

	def Refresh2(self, Level=defaultNamedOptArg):
		"""Refresh the currently viewed page."""
		return self._oleobj_.InvokeTypes(105, LCID, 1, (24, 0), ((16396, 17),),Level)

	def ShowBrowserBar(self, pvaClsid=defaultNamedNotOptArg, pvarShow=defaultNamedOptArg, pvarSize=defaultNamedOptArg):
		"""Set BrowserBar to Clsid"""
		return self._oleobj_.InvokeTypes(503, LCID, 1, (24, 0), ((16396, 1), (16396, 17), (16396, 17)),pvaClsid, pvarShow, pvarSize)

	def Stop(self):
		"""Stops opening a file."""
		return self._oleobj_.InvokeTypes(106, LCID, 1, (24, 0), (),)

	_prop_map_get_ = {
		"AddressBar": (555, 2, (11, 0), (), "AddressBar", None),
		"Application": (200, 2, (9, 0), (), "Application", None),
		"Busy": (212, 2, (11, 0), (), "Busy", None),
		"Container": (202, 2, (9, 0), (), "Container", None),
		"Document": (203, 2, (9, 0), (), "Document", None),
		"FullName": (400, 2, (8, 0), (), "FullName", None),
		"FullScreen": (407, 2, (11, 0), (), "FullScreen", None),
		"HWND": (-515, 2, (3, 0), (), "HWND", None),
		"Height": (209, 2, (3, 0), (), "Height", None),
		"Left": (206, 2, (3, 0), (), "Left", None),
		"LocationName": (210, 2, (8, 0), (), "LocationName", None),
		"LocationURL": (211, 2, (8, 0), (), "LocationURL", None),
		"MenuBar": (406, 2, (11, 0), (), "MenuBar", None),
		"Name": (0, 2, (8, 0), (), "Name", None),
		"Offline": (550, 2, (11, 0), (), "Offline", None),
		"Parent": (201, 2, (9, 0), (), "Parent", None),
		"Path": (401, 2, (8, 0), (), "Path", None),
		"ReadyState": (-525, 2, (3, 0), (), "ReadyState", None),
		"RegisterAsBrowser": (552, 2, (11, 0), (), "RegisterAsBrowser", None),
		"RegisterAsDropTarget": (553, 2, (11, 0), (), "RegisterAsDropTarget", None),
		"Resizable": (556, 2, (11, 0), (), "Resizable", None),
		"Silent": (551, 2, (11, 0), (), "Silent", None),
		"StatusBar": (403, 2, (11, 0), (), "StatusBar", None),
		"StatusText": (404, 2, (8, 0), (), "StatusText", None),
		"TheaterMode": (554, 2, (11, 0), (), "TheaterMode", None),
		"ToolBar": (405, 2, (3, 0), (), "ToolBar", None),
		"Top": (207, 2, (3, 0), (), "Top", None),
		"TopLevelContainer": (204, 2, (11, 0), (), "TopLevelContainer", None),
		"Type": (205, 2, (8, 0), (), "Type", None),
		"Visible": (402, 2, (11, 0), (), "Visible", None),
		"Width": (208, 2, (3, 0), (), "Width", None),
	}
	_prop_map_put_ = {
		"AddressBar": ((555, LCID, 4, 0),()),
		"FullScreen": ((407, LCID, 4, 0),()),
		"Height": ((209, LCID, 4, 0),()),
		"Left": ((206, LCID, 4, 0),()),
		"MenuBar": ((406, LCID, 4, 0),()),
		"Offline": ((550, LCID, 4, 0),()),
		"RegisterAsBrowser": ((552, LCID, 4, 0),()),
		"RegisterAsDropTarget": ((553, LCID, 4, 0),()),
		"Resizable": ((556, LCID, 4, 0),()),
		"Silent": ((551, LCID, 4, 0),()),
		"StatusBar": ((403, LCID, 4, 0),()),
		"StatusText": ((404, LCID, 4, 0),()),
		"TheaterMode": ((554, LCID, 4, 0),()),
		"ToolBar": ((405, LCID, 4, 0),()),
		"Top": ((207, LCID, 4, 0),()),
		"Visible": ((402, LCID, 4, 0),()),
		"Width": ((208, LCID, 4, 0),()),
	}
	# Default property for this class is 'Name'
	def __call__(self):
		return self._ApplyTypes_(*(0, 2, (8, 0), (), "Name", None))
	# str(ob) and int(ob) will use __call__
	def __unicode__(self, *args):
		try:
			return unicode(self.__call__(*args))
		except pythoncom.com_error:
			return repr(self)
	def __str__(self, *args):
		return str(self.__unicode__(*args))
	def __int__(self, *args):
		return int(self.__call__(*args))

class IWebBrowserApp(DispatchBaseClass):
	"""Web Browser Application Interface."""
	CLSID = IID('{0002DF05-0000-0000-C000-000000000046}')
	coclass_clsid = IID('{1339B54C-3453-11D2-93B9-000000000000}')

	def ClientToWindow(self, pcx=defaultNamedNotOptArg, pcy=defaultNamedNotOptArg):
		"""Converts client sizes into window sizes."""
		return self._ApplyTypes_(301, 1, (24, 0), ((16387, 3), (16387, 3)), 'ClientToWindow', None,pcx, pcy)

	def GetProperty(self, Property=defaultNamedNotOptArg):
		"""Retrieve the Associated value for the property vtValue in the context of the object."""
		return self._ApplyTypes_(303, 1, (12, 0), ((8, 1),), 'GetProperty', None,Property)

	def GoBack(self):
		"""Navigates to the previous item in the history list."""
		return self._oleobj_.InvokeTypes(100, LCID, 1, (24, 0), (),)

	def GoForward(self):
		"""Navigates to the next item in the history list."""
		return self._oleobj_.InvokeTypes(101, LCID, 1, (24, 0), (),)

	def GoHome(self):
		"""Go home/start page."""
		return self._oleobj_.InvokeTypes(102, LCID, 1, (24, 0), (),)

	def GoSearch(self):
		"""Go Search Page."""
		return self._oleobj_.InvokeTypes(103, LCID, 1, (24, 0), (),)

	def Navigate(self, URL=defaultNamedNotOptArg, Flags=defaultNamedOptArg, TargetFrameName=defaultNamedOptArg, PostData=defaultNamedOptArg, Headers=defaultNamedOptArg):
		"""Navigates to a URL or file."""
		return self._oleobj_.InvokeTypes(104, LCID, 1, (24, 0), ((8, 1), (16396, 17), (16396, 17), (16396, 17), (16396, 17)),URL, Flags, TargetFrameName, PostData, Headers)

	def PutProperty(self, Property=defaultNamedNotOptArg, vtValue=defaultNamedNotOptArg):
		"""Associates vtValue with the name szProperty in the context of the object."""
		return self._oleobj_.InvokeTypes(302, LCID, 1, (24, 0), ((8, 1), (12, 1)),Property, vtValue)

	def Quit(self):
		"""Exits application and closes the open document."""
		return self._oleobj_.InvokeTypes(300, LCID, 1, (24, 0), (),)

	def Refresh(self):
		"""Refresh the currently viewed page."""
		return self._oleobj_.InvokeTypes(-550, LCID, 1, (24, 0), (),)

	def Refresh2(self, Level=defaultNamedOptArg):
		"""Refresh the currently viewed page."""
		return self._oleobj_.InvokeTypes(105, LCID, 1, (24, 0), ((16396, 17),),Level)

	def Stop(self):
		"""Stops opening a file."""
		return self._oleobj_.InvokeTypes(106, LCID, 1, (24, 0), (),)

	_prop_map_get_ = {
		"Application": (200, 2, (9, 0), (), "Application", None),
		"Busy": (212, 2, (11, 0), (), "Busy", None),
		"Container": (202, 2, (9, 0), (), "Container", None),
		"Document": (203, 2, (9, 0), (), "Document", None),
		"FullName": (400, 2, (8, 0), (), "FullName", None),
		"FullScreen": (407, 2, (11, 0), (), "FullScreen", None),
		"HWND": (-515, 2, (3, 0), (), "HWND", None),
		"Height": (209, 2, (3, 0), (), "Height", None),
		"Left": (206, 2, (3, 0), (), "Left", None),
		"LocationName": (210, 2, (8, 0), (), "LocationName", None),
		"LocationURL": (211, 2, (8, 0), (), "LocationURL", None),
		"MenuBar": (406, 2, (11, 0), (), "MenuBar", None),
		"Name": (0, 2, (8, 0), (), "Name", None),
		"Parent": (201, 2, (9, 0), (), "Parent", None),
		"Path": (401, 2, (8, 0), (), "Path", None),
		"StatusBar": (403, 2, (11, 0), (), "StatusBar", None),
		"StatusText": (404, 2, (8, 0), (), "StatusText", None),
		"ToolBar": (405, 2, (3, 0), (), "ToolBar", None),
		"Top": (207, 2, (3, 0), (), "Top", None),
		"TopLevelContainer": (204, 2, (11, 0), (), "TopLevelContainer", None),
		"Type": (205, 2, (8, 0), (), "Type", None),
		"Visible": (402, 2, (11, 0), (), "Visible", None),
		"Width": (208, 2, (3, 0), (), "Width", None),
	}
	_prop_map_put_ = {
		"FullScreen": ((407, LCID, 4, 0),()),
		"Height": ((209, LCID, 4, 0),()),
		"Left": ((206, LCID, 4, 0),()),
		"MenuBar": ((406, LCID, 4, 0),()),
		"StatusBar": ((403, LCID, 4, 0),()),
		"StatusText": ((404, LCID, 4, 0),()),
		"ToolBar": ((405, LCID, 4, 0),()),
		"Top": ((207, LCID, 4, 0),()),
		"Visible": ((402, LCID, 4, 0),()),
		"Width": ((208, LCID, 4, 0),()),
	}
	# Default property for this class is 'Name'
	def __call__(self):
		return self._ApplyTypes_(*(0, 2, (8, 0), (), "Name", None))
	# str(ob) and int(ob) will use __call__
	def __unicode__(self, *args):
		try:
			return unicode(self.__call__(*args))
		except pythoncom.com_error:
			return repr(self)
	def __str__(self, *args):
		return str(self.__unicode__(*args))
	def __int__(self, *args):
		return int(self.__call__(*args))

from win32com.client import CoClassBaseClass
# This CoClass is known by the name 'Mozilla.Browser.1'
class MozillaBrowser(CoClassBaseClass): # A CoClass
	# MozillaBrowser Class
	CLSID = IID('{1339B54C-3453-11D2-93B9-000000000000}')
	coclass_sources = [
		DWebBrowserEvents2,
		DWebBrowserEvents,
	]
	default_source = DWebBrowserEvents2
	coclass_interfaces = [
		IWebBrowser2,
		IWebBrowserApp,
		IWebBrowser,
	]
	default_interface = IWebBrowser2

IMozControlBridge_vtables_dispatch_ = 0
IMozControlBridge_vtables_ = [
	('GetWebBrowser', 1610678272, 1, ((16408,2,None, None),), (3, 0, None, None), ('aBrowser',)),
]

IWebBrowser_vtables_dispatch_ = 1
IWebBrowser_vtables_ = [
	('GoBack', 100, 1, (), (3, 0, None, None), ()),
	('GoForward', 101, 1, (), (3, 0, None, None), ()),
	('GoHome', 102, 1, (), (3, 0, None, None), ()),
	('GoSearch', 103, 1, (), (3, 0, None, None), ()),
	('Navigate', 104, 1, ((8,1,None, None),(16396,17,None, None),(16396,17,None, None),(16396,17,None, None),(16396,17,None, None),), (3, 0, None, None), ('URL', 'Flags', 'TargetFrameName', 'PostData', 'Headers')),
	('Refresh', -550, 1, (), (3, 0, None, None), ()),
	('Refresh2', 105, 1, ((16396,17,None, None),), (3, 0, None, None), ('Level',)),
	('Stop', 106, 1, (), (3, 0, None, None), ()),
	('Application', 200, 2, ((16393,10,None, None),), (3, 0, None, None), ('ppDisp',)),
	('Parent', 201, 2, ((16393,10,None, None),), (3, 0, None, None), ('ppDisp',)),
	('Container', 202, 2, ((16393,10,None, None),), (3, 0, None, None), ('ppDisp',)),
	('Document', 203, 2, ((16393,10,None, None),), (3, 0, None, None), ('ppDisp',)),
	('TopLevelContainer', 204, 2, ((16395,10,None, None),), (3, 0, None, None), ('pBool',)),
	('Type', 205, 2, ((16392,10,None, None),), (3, 0, None, None), ('Type',)),
	('Left', 206, 2, ((16387,10,None, None),), (3, 0, None, None), ('pl',)),
	('Left', 206, 4, ((3,1,None, None),), (3, 0, None, None), ('pl',)),
	('Top', 207, 2, ((16387,10,None, None),), (3, 0, None, None), ('pl',)),
	('Top', 207, 4, ((3,1,None, None),), (3, 0, None, None), ('pl',)),
	('Width', 208, 2, ((16387,10,None, None),), (3, 0, None, None), ('pl',)),
	('Width', 208, 4, ((3,1,None, None),), (3, 0, None, None), ('pl',)),
	('Height', 209, 2, ((16387,10,None, None),), (3, 0, None, None), ('pl',)),
	('Height', 209, 4, ((3,1,None, None),), (3, 0, None, None), ('pl',)),
	('LocationName', 210, 2, ((16392,10,None, None),), (3, 0, None, None), ('LocationName',)),
	('LocationURL', 211, 2, ((16392,10,None, None),), (3, 0, None, None), ('LocationURL',)),
	('Busy', 212, 2, ((16395,10,None, None),), (3, 0, None, None), ('pBool',)),
]

IWebBrowser2_vtables_dispatch_ = 1
IWebBrowser2_vtables_ = [
	('Navigate2', 500, 1, ((16396,1,None, None),(16396,17,None, None),(16396,17,None, None),(16396,17,None, None),(16396,17,None, None),), (3, 0, None, None), ('URL', 'Flags', 'TargetFrameName', 'PostData', 'Headers')),
	('QueryStatusWB', 501, 1, ((3,1,None, None),(16387,10,None, None),), (3, 0, None, None), ('cmdID', 'pcmdf')),
	('ExecWB', 502, 1, ((3,1,None, None),(3,1,None, None),(16396,17,None, None),(16396,19,None, None),), (3, 0, None, None), ('cmdID', 'cmdexecopt', 'pvaIn', 'pvaOut')),
	('ShowBrowserBar', 503, 1, ((16396,1,None, None),(16396,17,None, None),(16396,17,None, None),), (3, 0, None, None), ('pvaClsid', 'pvarShow', 'pvarSize')),
	('ReadyState', -525, 2, ((16387,10,None, None),), (3, 0, None, None), ('plReadyState',)),
	('Offline', 550, 2, ((16395,10,None, None),), (3, 0, None, None), ('pbOffline',)),
	('Offline', 550, 4, ((11,1,None, None),), (3, 0, None, None), ('pbOffline',)),
	('Silent', 551, 2, ((16395,10,None, None),), (3, 0, None, None), ('pbSilent',)),
	('Silent', 551, 4, ((11,1,None, None),), (3, 0, None, None), ('pbSilent',)),
	('RegisterAsBrowser', 552, 2, ((16395,10,None, None),), (3, 0, None, None), ('pbRegister',)),
	('RegisterAsBrowser', 552, 4, ((11,1,None, None),), (3, 0, None, None), ('pbRegister',)),
	('RegisterAsDropTarget', 553, 2, ((16395,10,None, None),), (3, 0, None, None), ('pbRegister',)),
	('RegisterAsDropTarget', 553, 4, ((11,1,None, None),), (3, 0, None, None), ('pbRegister',)),
	('TheaterMode', 554, 2, ((16395,10,None, None),), (3, 0, None, None), ('pbRegister',)),
	('TheaterMode', 554, 4, ((11,1,None, None),), (3, 0, None, None), ('pbRegister',)),
	('AddressBar', 555, 2, ((16395,10,None, None),), (3, 0, None, None), ('Value',)),
	('AddressBar', 555, 4, ((11,1,None, None),), (3, 0, None, None), ('Value',)),
	('Resizable', 556, 2, ((16395,10,None, None),), (3, 0, None, None), ('Value',)),
	('Resizable', 556, 4, ((11,1,None, None),), (3, 0, None, None), ('Value',)),
]

IWebBrowserApp_vtables_dispatch_ = 1
IWebBrowserApp_vtables_ = [
	('Quit', 300, 1, (), (3, 0, None, None), ()),
	('ClientToWindow', 301, 1, ((16387,3,None, None),(16387,3,None, None),), (3, 0, None, None), ('pcx', 'pcy')),
	('PutProperty', 302, 1, ((8,1,None, None),(12,1,None, None),), (3, 0, None, None), ('Property', 'vtValue')),
	('GetProperty', 303, 1, ((8,1,None, None),(16396,10,None, None),), (3, 0, None, None), ('Property', 'pvtValue')),
	('Name', 0, 2, ((16392,10,None, None),), (3, 0, None, None), ('Name',)),
	('HWND', -515, 2, ((16387,10,None, None),), (3, 0, None, None), ('pHWND',)),
	('FullName', 400, 2, ((16392,10,None, None),), (3, 0, None, None), ('FullName',)),
	('Path', 401, 2, ((16392,10,None, None),), (3, 0, None, None), ('Path',)),
	('Visible', 402, 2, ((16395,10,None, None),), (3, 0, None, None), ('pBool',)),
	('Visible', 402, 4, ((11,1,None, None),), (3, 0, None, None), ('pBool',)),
	('StatusBar', 403, 2, ((16395,10,None, None),), (3, 0, None, None), ('pBool',)),
	('StatusBar', 403, 4, ((11,1,None, None),), (3, 0, None, None), ('pBool',)),
	('StatusText', 404, 2, ((16392,10,None, None),), (3, 0, None, None), ('StatusText',)),
	('StatusText', 404, 4, ((8,1,None, None),), (3, 0, None, None), ('StatusText',)),
	('ToolBar', 405, 2, ((16387,10,None, None),), (3, 0, None, None), ('Value',)),
	('ToolBar', 405, 4, ((3,1,None, None),), (3, 0, None, None), ('Value',)),
	('MenuBar', 406, 2, ((16395,10,None, None),), (3, 0, None, None), ('Value',)),
	('MenuBar', 406, 4, ((11,1,None, None),), (3, 0, None, None), ('Value',)),
	('FullScreen', 407, 2, ((16395,10,None, None),), (3, 0, None, None), ('pbFullScreen',)),
	('FullScreen', 407, 4, ((11,1,None, None),), (3, 0, None, None), ('pbFullScreen',)),
]

RecordMap = {
}

CLSIDToClassMap = {
	'{1339B54C-3453-11D2-93B9-000000000000}' : MozillaBrowser,
	'{0002DF05-0000-0000-C000-000000000046}' : IWebBrowserApp,
	'{D30C1661-CDAF-11D0-8A3E-00C04FC9E26E}' : IWebBrowser2,
	'{34A715A0-6587-11D0-924A-0020AFC7AC4D}' : DWebBrowserEvents2,
	'{EAB22AC1-30C1-11CF-A7EB-0000C05BAE0B}' : IWebBrowser,
	'{EAB22AC2-30C1-11CF-A7EB-0000C05BAE0B}' : DWebBrowserEvents,
}
CLSIDToPackageMap = {}
win32com.client.CLSIDToClass.RegisterCLSIDsFromDict( CLSIDToClassMap )
VTablesToPackageMap = {}
VTablesToClassMap = {
	'{D6131E69-4A89-4AB5-B916-5A581D66C84F}' : 'IMozControlBridge',
	'{EAB22AC1-30C1-11CF-A7EB-0000C05BAE0B}' : 'IWebBrowser',
	'{0002DF05-0000-0000-C000-000000000046}' : 'IWebBrowserApp',
	'{D30C1661-CDAF-11D0-8A3E-00C04FC9E26E}' : 'IWebBrowser2',
}


NamesToIIDMap = {
	'DWebBrowserEvents' : '{EAB22AC2-30C1-11CF-A7EB-0000C05BAE0B}',
	'IWebBrowserApp' : '{0002DF05-0000-0000-C000-000000000046}',
	'IWebBrowser2' : '{D30C1661-CDAF-11D0-8A3E-00C04FC9E26E}',
	'IWebBrowser' : '{EAB22AC1-30C1-11CF-A7EB-0000C05BAE0B}',
	'DWebBrowserEvents2' : '{34A715A0-6587-11D0-924A-0020AFC7AC4D}',
	'IMozControlBridge' : '{D6131E69-4A89-4AB5-B916-5A581D66C84F}',
}

win32com.client.constants.__dicts__.append(constants.__dict__)

